--define global vars and defaults (saved between sessions)
local Enabled = true
local AddonVersion = GetAddOnMetadata("KCrazyArrowHide", "Version")

local function print(msg)
	DEFAULT_CHAT_FRAME:AddMessage("KCrazyArrowHide: " .. tostring(msg))
end

function KCrazyArrowHideFrame_OnEvent(self,event,...)
	if Enabled then
		if event == "PLAYER_REGEN_ENABLED" then
			TomTomCrazyArrow:Show()
		elseif event == "PLAYER_REGEN_DISABLED" then
			TomTomCrazyArrow:Hide()
		end
	end
end

function KCrazyArrowHide_Command(Msg,Editbox)
	if Msg then Msg=strlower(Msg); end
	if Msg == "help" then
		print("v"..AddonVersion)
		print("Use /KCAH | /CAH [on/off/show/hide].")
		print("On/off to enable or disable automatic hiding.")
		print("Show/hide to manually show or hide the Crazy Arrow.")
		print("Examnple: /kcah on")
		if Enabled then
			print("Crazy Arrow Hide is currently enabled.")
		else
			print("Crazy Arrow Hide is currently disabled.")
		end
	elseif Msg == "on" then
		Enabled = true
		print("Crazy Arrow Hide is now on.")
	elseif Msg == "off" then
		if not TomTomCrazyArrow:IsVisible() then TomTomCrazyArrow:Show(); end
		Enabled = false
		print("Crazy Arrow Hide is now off.")
	elseif Msg == "show" then
		TomTomCrazyArrow:Show()
	elseif Msg == "hide" then
		TomTomCrazyArrow:Hide()
	else
		KCrazyArrowHide_Command("help")
	end
end

--Create an anonymous blank frame
local KCrazyArrowHideFrame = CreateFrame("Frame")
KCrazyArrowHideFrame:RegisterEvent("PLAYER_REGEN_ENABLED")
KCrazyArrowHideFrame:RegisterEvent("PLAYER_REGEN_DISABLED")
KCrazyArrowHideFrame:SetScript("OnEvent", KCrazyArrowHideFrame_OnEvent)

--setup slash command feature
SlashCmdList["KCrazyArrowHide"]=KCrazyArrowHide_Command
SLASH_KCrazyArrowHide1, SLASH_KCrazyArrowHide2="/KCAH","/CAH"
KCrazyArrowHide_Command("help")
